Languages

This page provides information about the languages you can use in communication (email/SMS) with customers through the API.

Languages can currently not be enabled/created through the API, only the platform.

If you manage multiple Locations, Languages can be scoped to either:

  • all (all Locations inside your group in your integration)

  • location (only available for the individual Location)

  • COMING: country (all Locations within a Country)

  • COMING: region (all Locations within a Region)

When querying all available Languages for a Location, you will receive all Languages from where your Location belongs to, which can be Languages from all of the above 4 groups, differentiated by the property scope in the response. See example under Locations.

Return all group languages (all)

GET https://{environment}.faundit.com/api/v2/languages

Response

[
    {
        "ID": 251,
        "language": "English",
        "createdAt": "2023-10-06 11:11:33.564",
        "updatedAt": "2024-04-24 11:42:23.139",
        "default": true,
        "scope": "all"
    },
    {
        "ID": 252,
        "language": "French",
        "createdAt": "2023-11-18 15:25:36.909",
        "updatedAt": null,
        "default": false,
        "scope": "all"
    }
]

Return a single language

GET https://{environment}.faundit.com/api/v2/languages/:languageID

Query Parameters

Name
Type
Description

languageID*

number

Location unique identifier.

Example: 251

Response

Last updated